env {
  execution.parallelism = 1
  job.mode = "STREAMING"
  #checkpoint.interval = 2000
  #execution.checkpoint.interval = 10000
  #execution.checkpoint.data-uri = "hdfs://localhost:9000/checkpoint"
}

source {
  MySQL-CDC{
    result_table_name = "mysqlcdc"
    server-id = 5656
    username = "root"
    password = "root"
    table-names = ["test_db.source_aes"]
    base-url = "jdbc:mysql://localhost:33066/test_db"
    server-time-zone = "Asia/Shanghai"
  }
}

sink {
  Jdbc {
    source_table_name="mysqlcdc"
    url = "jdbc:mysql://localhost:3306/test_db"
    user = "root"
    password = "root"
    driver = "com.mysql.cj.jdbc.Driver"
    primary_keys = ["id"]
    database = "test_db"
    table = "source_aes"
    support_upsert_by_query_primary_key_exist = true
    generate_sink_sql = true
  }
}
